tournament:
	ld hl, tourneybuffer
	ld de, tourneybuffer+1			;clear the tourney buffer (says which characters we CAN'T fight)
	ld bc, 15
	ld (hl), 0
	ldir
	call characterselect			;select a character for tournament play
	ld (char1num), a
	ld e, a
	ld d, 0	
	ld hl, tourneybuffer
	add hl, de
	ld (hl), 1
notnumber1
	call clearscreen
	ld hl, storystring
	call tellstory
tournamentloop:
	call clearscreen
notthisone:
	ld a, r
	and %00001111
	ld e, a
	ld d, 0
	ld hl, tourneybuffer
	add hl, de
	ld a, (hl)
	nop
	or a
	jr nz, notthisone
	ld a, e
	ld (char2num), a
	ld hl, char1string
	ld de, $3001
	call drawseriesthing
	call drawface2
	call pause
	call playfight
	or a
	jr z, diedtournament
	ld a, (match)
	cp 10
	jr nc, finishedtournament
	ld a, (char2num)
	ld e, a
	ld d, 0
	ld hl, tourneybuffer
	add hl, de
	ld (hl), 1
	ld hl, match
	inc (hl)
	jr tournamentloop
diedtournament:
	call clearscreen
	call drawface2
	ld a, (char2num)
	ld hl, deadstring
	ld de, $3001
	call drawseriesthing
	jp pause
finishedtournament:
	ld hl, winstring
	ld de, $1a10
	call drawstring
	ld a, (difficulty)
	cp 4
	jr z, skipucheck
	cp 2
	jr nz, noupgrade
skipucheck:
	ld a, (char1num)
	ld hl, unlockstring
	ld de, $2010
	call drawseriesthing
	call dogetstuff
noupgrade:
	jp pause

dogetstuff:
	ld de, unlocktable
	ld a, (char1num)
	cp NUM_CHARS-1
	jr z, beatgame
	cp 5
	jr z,BIGunlock1
	cp 12
	jr z,BIGunlock2
	ld l, a
	ld h, 0
	add hl, hl
	add hl, de
	ld e, (hl)
	inc hl
	ld d, (hl)
	ld a, 1
	ld (de), a
	ret
beatgame:
	call pause
	pop hl
	call clearscreen
	ld hl, beatgamestring
	jr tellstory
BIGunlock1
	ld hl, availablechars+8
	ld a, 1
	ld (hl), a
	inc hl
finishbu2
	ld (hl), a
	inc hl
	ld (hl), a
	inc hl
	ld (hl), a
	ret
BIGunlock2:
	ld hl, availablechars+14
	ld a, 1
	jr finishbu2

tellstory:
	ld de, $0b01
	call drawstring
	ld d, $12
	call drawstring
	ld d, $19
	call drawstring
	ld d, $20
	call drawstring
	ld d, $27
	call drawstring
	ld d, $2e
	call drawstring
	ld a, 8
	call hline
	ld a, 56
	call hline
	ld hl, $fc00
	ld de, $ca00
	ld bc, 1024
	ldir
	jp pause

unlocktable:
	.dw availablechars+4, availablechars+5, availablechars+6, availablechars+7, trainingdiff, 0
	.dw roundselect, doubleaidiff, availablechars+12, availablechars+13, twochardiff
	.dw difficultdiff, 0,charstatsshow, damageselect, outnumbermode

storystring:
	.text "Welcome to the TI-86 commemorative"
	.text "King of the Fighters! 2. This year we"
	.text "welcome characters from all over"
	.text "the Nintendo galaxy and, of course,"
	.text "some favorites from our last"
	.text "tournament to win absolutely nothing!"

beatgamestring
	.text "Congrats! You've beaten the game!"
	.text "By: Thomas Williamson"
	.text "Character Design: John Sheehan"
	.db 0
	.text "Make sure you've beaten the"
	.text "tournament with all 17 chars!"

Char1string:
	.db 0
	.text "Say goodbye to your girlfriend!"
	.text "Cowabunga! I'm gonna kick your bunga!"
	.text "Aliens!! Aliens everywhere!"
	.text "Forget it! My sword wins."
	.text "Is thaar a forest fire nearbee?"
	.text "GHSaaa Ciffgahga bacsbhaaa!!!!"
	.text "Skate or die! Skate or die!"
	.text "Hurry up and luuse, ya vermin'!"
	.text "Who killed my father? Who?!?!?!"
	.text "The princess is in another castle!"
	.text "I'm gay."
	.text "You're my friend, Kain, remember?"
	.text "Dr. White warned me about you!"
	.text "Checklist: Fight you, find the orbs!"
	.text "I'm a girl, ya know!!"
	.text "Ahh! The Fire! You are...bad!"
	.text "Pick me up at 6."

Deadstring:
	.db 0
	.text "(Spit's in you face) Loser!"
	.text "YOU'RE ordering pizza!"
	.text "Ahahaha! I got an alien!"
	.text "I will mourn your pathetic loss."
	.text "Thaar is a sooker rat thaar!"
	.text "BbbqYOUdsaf mananamSUCKdjaaaal!"
	.text "I can ollie dude!!!! Wanna see my grind?"
	.text "Yer not a zombie, are ya?"
	.text "Yourchuck numchuck suck!"
	.text "I should put you in my goomba stew!"
	.text "I love you even though you lost."
	.text "I must fight the evil within me next."
	.text "Bubbleman was easier than you."
	.text "Ooooh. Electricity got to you!! haha"
	.text "Did I mention I was a girl?"
	.text "Have you seen Princess Zelda?"
	.text "Wanna go to my place tonight?"

Winstring:
	.text "You won this year's tournament!"

Unlockstring:
	.db 0
	.text "Fogger fazed into the picture!"
	.text "Hypo-Radio Gel melted down."
	.text "Robbie skated on over."
	.text "Simon killed zombies to get here."
	.text "Training level emminent...."
	.text "UNLOCKED a BUNCH of PEOPLE!"
	.text "Got round selection."
	.text "Earned double AI mode!"
	.text "Mega Man dropped from the sky."
	.text "A strange man in robes approaches..."
	.text "Ye old crap two char mode earned!"
	.text "Got a new difficulty level."
	.text "UNLOCKED EVEN MORE PEOPLE!!"
	.text "Got the statistics viewer!"
	.text "Got damage selection."
	.text "UNLOCKED NEW GAME MODE!"

drawface2:
	ld a, 8
	call hline
	ld a, 56
	call hline
	ld de, $3810
	ld a, (char2num)
	inc a
	ld (facevar+1), a
drawface:
	push de
facevar:
	ld a, 1
	ld b, a
	ld hl, facedata-96
	ld de, 96
getfaceloop:
	add hl, de
	djnz getfaceloop
	pop de
	jp drawspr2416

Facedata	.equ	$8100+30

tourneybuffer	.dw 0,0,0,0,0,0,0,0
.end
